<template>
  <div class="custom-crud-page">
    <el-bus-crud v-bind="tableConfig"></el-bus-crud>
  </div>
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/code/type/list',
        newUrl: 'flower/api/code/type/add',
        editUrl: 'flower/api/code/type/edit',
        deleteUrl: 'flower/api/code/type/delete',
        deleteMessage: () => '此操作将永久删除该字典及所有字典项，是否继续？',
        extraButtons: [
          {
            text: '字典项',
            atClick: (row) => {
              return new Promise((resolve) => {
                this.$router.push(`${this.$route.path}/${row.code}`)
                resolve(false)
              })
            },
          },
        ],
        columns: [
          { label: '序号', type: 'index' },
          { label: '名称', prop: 'name' },
          { label: '类型', prop: 'code' },
          { label: '备注信息', prop: 'description' },
          { label: '更新时间', prop: 'updateTime' },
        ],
        searchForm: [
          {
            type: 'row',
            span: 6,
            items: [
              {
                label: '名称',
                id: 'name',
                type: 'input',
                el: { placeholder: '请输入名称' },
              },
              {
                label: '类型',
                id: 'code',
                type: 'input',
                el: { placeholder: '请输入类型' },
              },
            ],
          },
        ],
        form: [
          {
            label: '名称：',
            id: 'name',
            type: 'input',
            rules: { required: true, message: '请输入名称', trigger: 'blur' },
          },
          {
            label: '类型：',
            id: 'code',
            type: 'input',
            rules: { required: true, message: '请输入类型', trigger: 'blur' },
          },
          {
            label: '备注：',
            id: 'description',
            type: 'input',
            el: {
              type: 'textarea',
              rows: '6',
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '字典管理',
    }
  },
}
</script>
